class ElementType {
  String? name;

  static ElementType? rtGrid = new ElementType('RTGrid');
  static ElementType? rtTable = new ElementType('RTTable');
  static ElementType? rtCell = new ElementType('RTCell');
  static ElementType? paragraph = new ElementType('Paragraph');
  static ElementType? inputText = new ElementType('InputText');
  static ElementType? line = new ElementType('Line');
  static ElementType? staticText = new ElementType('StaticText');
  static ElementType? singleSelected = new ElementType('SingleSelected');
  static ElementType? multiSelected = new ElementType('MultiSelected');
  static ElementType? imageList = new ElementType('ImageList');
  static ElementType? dateTime = new ElementType('DateTime');
  static ElementType? inputImage = new ElementType('InputImage');
  static ElementType? staticImage = new ElementType('StaticImage');

  ElementType(this.name);

  ElementType.fromJson(Map<String, dynamic> json) {
    name = json['Name'];
    //TODO(Loki):init rtGrid and rtTaable
  }
}
