import 'package:fis_lib_report/report/element.dart';
import 'package:fis_lib_report/report/interfaces/block_element.dart';
import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/inputImageList.dart';

class InputImage extends Element
    implements IBlockElement, IInputImageListElement {
  @override
  int? column;

  @override
  List<IElement>? elements;

  @override
  bool? hasGap;

  @override
  bool? hasImageBorder;

  @override
  bool? transparentBackground;

  double? imageWidth;

  double? imageHeight;

  bool? isReadOnly;

  InputImage.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    column = json['Column'];
    hasGap = json['HasGap'];
    hasImageBorder = json['HasImageBorder'];
    transparentBackground = json['TransparentBackground'];
    imageWidth = json['Width'];
    imageHeight = json['Height'];
    isReadOnly = json['IsReadOnly'];
  }
}
