class RTThickness {
  double? left;

  double? top;

  double? right;

  double? bottom;

  RTThickness.uniform(double uniformLength) {
    left = uniformLength;
    top = uniformLength;
    right = uniformLength;
    bottom = uniformLength;
  }

  RTThickness.fromJson(Map<String, dynamic> json) {
    left = json['Left'];
    top = json['Top'];
    right = json['Right'];
    bottom = json['Bottom'];
  }

  RTThickness(this.left, this.top, this.right, this.bottom);
}
