import 'package:fis_lib_report/report/dateTimeElement.dart';
import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/inputText.dart';
import 'package:fis_lib_report/report/text_element.dart';
import 'package:fis_lib_report/report_info/text_element_info.dart';

class DateTimeInfo extends TextElementInfo {
  String? text;
  String? dateTimeFormat = 'yyyy-MM-dd';

  DateTimeInfo.fromElement(DateTimeElement element)
      : super.fromElement(element) {
    dateTimeFormat = element.dateTimeFormat;
  }
}
