import 'package:fis_lib_report/converts/event_type.dart';
import 'package:fis_lib_report/report/element.dart';
import 'package:fis_lib_report/report/inputImageList.dart';
import 'package:fis_lib_report/report/interfaces/block_element.dart';
import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/inputImageList.dart';
import 'package:fis_lib_report/report_info/block_element_info_interface.dart';
import 'package:fis_lib_report/report_info/element_info.dart';

class InputImageListInfo extends ElementInfo implements IBlockElementInfo {
  int? column;

  bool? hasGap;

  bool? isReadOnly;

  bool? isSelected;

  FEventHandler<String>? onSelect = FEventHandler();

  InputImageListInfo.fromElement(InputImageList inputImageList)
      : super.fromElement(inputImageList) {
    column = inputImageList.column;
    hasGap = inputImageList.hasGap;
    isReadOnly = inputImageList.isReadOnly;
  }

  @override
  List<ElementInfo>? elementInfos;

  void addImage(String imageUrl) {
    onSelect!.emit(this, imageUrl);
  }
}
