import 'package:fis_lib_report/report/interfaces/dateTimeElement.dart';
import 'package:fis_lib_report/report/text_element.dart';

class DateTimeElement extends TextElement implements IDateTimeElement {
  @override
  String? dateTimeFormat = 'yyyy-MM-dd';

  @override
  bool? isReadOnly;

  @override
  bool? isRealTime;

  @override
  bool? showEnabled;

  DateTimeElement.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    dateTimeFormat = json['DateTimeFormat'];
    isReadOnly = json['IsReadOnly'];
    isRealTime = json['IsRealTime'];
    showEnabled = json['ShowEnabled'];
  }
}
