import 'package:fis_lib_report/report/interfaces/staticText.dart';
import 'package:fis_lib_report/report/text_element.dart';

class StaticText extends TextElement implements IStaticText {
  @override
  bool? ignoreUndo;

  @override
  String? text;

  StaticText.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    ignoreUndo = json['IgnoreUndo'];
    text = json['Text'];
  }
}
