import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:fis_lib_report/report/report_template_document.dart';

class TestReport {
  TestReport() {
    _getDataList();
  }

  final url = '';

  Future<void> _getDataList() async {
    final jsonStr = await request(
        "http://cdn-bj.fis.plus/4C36E7857CF2F5E1046C9DD87A7966A6.dat.part0");
    final reportMap = jsonDecode(jsonStr);
    final report = ReportTemplateDocument.fromJson(reportMap);
  }

  Future<String> request(String url) async {
    Response response = await Dio().get(url);
    return response.data;
  }
}
