import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/multiSelected.dart';
import 'package:fis_lib_report/report_info/text_element_info.dart';

class MulitiSelectedInfo extends TextElementInfo {
  bool? isReadOnly = false;

  List<String>? items = [];

  List<String>? selectedItems = [];

  MulitiSelectedInfo.fromElement(MultiSelected element)
      : super.fromElement(element) {
    items = element.items;
    isReadOnly = element.isReadOnly;
  }
}
